cURL
curl --request POST \ --url https://api.ravan.ai/api/v1/phone-numbers/import/ \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "phone": "<string>", "type": "<string>", "name": "<string>", "termination_uri": "<string>", "sip_username": "<string>", "sip_password": "<string>" } '
{ "success": true, "message": "Request completed successfully", "data": { "id": "id_123", "phone": "+14155550100", "type": "twilio", "name": "Support Bot", "termination_uri": "sip:example@provider.com", "sip_username": "sip-user", "sip_password": "secret-password", "status": "active", "created_at": "2026-03-14T12:00:00Z" } }
Import Phone Number.
Show data
Phone number to import (E.164 format)
Type of phone number (e.g. sip, pstn)
Friendly name for the number
SIP termination URI
SIP username for authentication
SIP password for authentication
Successful response
Show child attributes